package cz.vsb.fei.efrei.lab03;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;
import java.util.Scanner;

public class DangerWorld {
	private static final Random RANDOM = new Random();

	public static void main(String[] args) {
		List<Fighter> fighters = new ArrayList<>();

		generateMonstersAndHeros(fighters);
		
		WorkWithCollections.playWithCollections(fighters);

	}

	private static void generateMonstersAndHeros(List<Fighter> fighters) {
		try (Scanner s = new Scanner(System.in)) {
			System.out.println("Type name of monster:");
			String name = s.next();
	
			Monster monster = new Monster(name);
			fighters.add(monster);
		} catch (Exception e) {
			System.out.println("Cannot properlly read name from STDIN. Continu without named monster");
		}
		fighters.add(new Monster("King"));
		fighters.add(new Monster("Queen"));
		fighters.add(new Monster("Fairy"));
		fighters.add(new Hero("Shrek"));
		fighters.add(new Hero("Cinderela"));
	
		int countOfHeros = RANDOM.nextInt(200);
		for (int i = 0; i < countOfHeros; i++) {
			fighters.add(new Hero(Utils.generateHeroName()));
		}
	
		int countOfMonsters = RANDOM.nextInt(250);
		for (int i = 0; i < countOfMonsters; i++) {
			fighters.add(new Monster(Utils.generateMonsterName()));
		}
	}

	
	
	
}
